Solved

Magento 2.4.1 Integration Issue

  • 20 August 2021
  • 3 replies
  • 207 views

Badge

Following the instruction to install the extension for magento 2.4.3 I came across an error when activating the integration. Once click integrate Magento 2 on the popup window, I was told the error message below. I double checked the API details are correct, and also the firewall Sucuri is not blocking Klaviyo. Anyone has experienced the same issue? 

 

There was an error while integrating your Klaviyo account with Magento 2. Below are the details about your error

Klaviyo is unable to connect to Magento Server for OAuth Handshake.Url tried was: https://www.xxxxxx/oauth/token/requestPlease ensure that both /oauth/token/request and /oauth/token/accessare accessible 

 

and my  website is public

icon

Best answer by klaviyojad 20 August 2021, 21:04

View original

3 replies

Userlevel 1
Badge +2

@vpritulin is this the same ticket as this one ? Its the same text except that the Magento version is 2.4.3 in your case.  Next week engineering is releasing a fix pertaining affecting Magento servers behind sucuri.

 

We believe its due to the server response from oauth handshake returning extra space before the key/value pairs like below after /oauth/token/request call:

b'  oauth_token=xxx&oauth_token_secret=yyy'

Is this issue resolved? Still getting the same error.

Userlevel 1
Badge +2

@Karan the issue has been resolved so I am thinking it might be an entirely different issue you are dealing with.  Could you please open up a ticket with our email support as described here so we can more properly assist you?  We will details from you such as version of Magento 2, version of Klaviyo Extension installed and exactly the steps you tried to get to this error. 

Reply